Skip to main content
Version: API v2.2.0
Version: 2.2.0

API Gateway v2.2.0

NINJIO API Gateway with enhanced campaign creation workflow

Server Environments​

EnvironmentURLDescription
Productionhttps://apigw.goninjio.comProduction server (live data)

Use the Production base URL for all your API requests.

API Versioning​

This API supports versioning through HTTP headers. Include the API version in your requests to ensure compatibility:

HeaderValueDescription
API-Version2.2.0Specifies the API version to use
curl -X GET "https://apigw.goninjio.com/api/api_gateway/customer/campaigns/training/" \
-H "apiKey: YOUR_API_KEY" \
-H "API-Version: 2.2.0" \
-H "Content-Type: application/json"

Note: If no API-Version header is provided, the API will default to the latest stable version (2.1.3).

Authentication​

Security Scheme Type:

apiKey

Header parameter name:

apiKey